/* (c) https://github.com/MontiCore/monticore */
// Generated by the protocol buffer compiler.  DO NOT EDIT!
// source: simulationController.proto

package protobuf;

/**
 * Protobuf type {@code SimulationController.AddVehicleRequest}
 */
public  final class AddVehicleRequest extends
    com.google.protobuf.GeneratedMessageV3 implements
    // @@protoc_insertion_point(message_implements:SimulationController.AddVehicleRequest)
    AddVehicleRequestOrBuilder {
private static final long serialVersionUID = 0L;
  // Use AddVehicleRequest.newBuilder() to construct.
  private AddVehicleRequest(com.google.protobuf.GeneratedMessageV3.Builder<?> builder) {
    super(builder);
  }
  private AddVehicleRequest() {
    sourceOsmID_ = "";
    targetOsmID_ = "";
    rmiHost_ = "";
    rmiPort_ = 0L;
    vehicleModel_ = "";
    useModelica_ = false;
    batteryCapacity_ = 0D;
    batteryPercentage_ = 0D;
    vehicleID_ = "";
  }

  @java.lang.Override
  public final com.google.protobuf.UnknownFieldSet
  getUnknownFields() {
    return this.unknownFields;
  }
  private AddVehicleRequest(
      com.google.protobuf.CodedInputStream input,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws com.google.protobuf.InvalidProtocolBufferException {
    this();
    if (extensionRegistry == null) {
      throw new java.lang.NullPointerException();
    }
    int mutable_bitField0_ = 0;
    com.google.protobuf.UnknownFieldSet.Builder unknownFields =
        com.google.protobuf.UnknownFieldSet.newBuilder();
    try {
      boolean done = false;
      while (!done) {
        int tag = input.readTag();
        switch (tag) {
          case 0:
            done = true;
            break;
          default: {
            if (!parseUnknownFieldProto3(
                input, unknownFields, extensionRegistry, tag)) {
              done = true;
            }
            break;
          }
          case 10: {
            java.lang.String s = input.readStringRequireUtf8();

            sourceOsmID_ = s;
            break;
          }
          case 18: {
            java.lang.String s = input.readStringRequireUtf8();

            targetOsmID_ = s;
            break;
          }
          case 26: {
            java.lang.String s = input.readStringRequireUtf8();

            rmiHost_ = s;
            break;
          }
          case 32: {

            rmiPort_ = input.readInt64();
            break;
          }
          case 42: {
            java.lang.String s = input.readStringRequireUtf8();

            vehicleModel_ = s;
            break;
          }
          case 48: {

            useModelica_ = input.readBool();
            break;
          }
          case 57: {

            batteryCapacity_ = input.readDouble();
            break;
          }
          case 65: {

            batteryPercentage_ = input.readDouble();
            break;
          }
          case 74: {
            java.lang.String s = input.readStringRequireUtf8();

            vehicleID_ = s;
            break;
          }
        }
      }
    } catch (com.google.protobuf.InvalidProtocolBufferException e) {
      throw e.setUnfinishedMessage(this);
    } catch (java.io.IOException e) {
      throw new com.google.protobuf.InvalidProtocolBufferException(
          e).setUnfinishedMessage(this);
    } finally {
      this.unknownFields = unknownFields.build();
      makeExtensionsImmutable();
    }
  }
  public static final com.google.protobuf.Descriptors.Descriptor
      getDescriptor() {
    return protobuf.SimulationControllerProto.internal_static_SimulationController_AddVehicleRequest_descriptor;
  }

  protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable
      internalGetFieldAccessorTable() {
    return protobuf.SimulationControllerProto.internal_static_SimulationController_AddVehicleRequest_fieldAccessorTable
        .ensureFieldAccessorsInitialized(
            protobuf.AddVehicleRequest.class, protobuf.AddVehicleRequest.Builder.class);
  }

  public static final int SOURCEOSMID_FIELD_NUMBER = 1;
  private volatile java.lang.Object sourceOsmID_;
  /**
   * <code>string sourceOsmID = 1;</code>
   */
  public java.lang.String getSourceOsmID() {
    java.lang.Object ref = sourceOsmID_;
    if (ref instanceof java.lang.String) {
      return (java.lang.String) ref;
    } else {
      com.google.protobuf.ByteString bs = 
          (com.google.protobuf.ByteString) ref;
      java.lang.String s = bs.toStringUtf8();
      sourceOsmID_ = s;
      return s;
    }
  }
  /**
   * <code>string sourceOsmID = 1;</code>
   */
  public com.google.protobuf.ByteString
      getSourceOsmIDBytes() {
    java.lang.Object ref = sourceOsmID_;
    if (ref instanceof java.lang.String) {
      com.google.protobuf.ByteString b = 
          com.google.protobuf.ByteString.copyFromUtf8(
              (java.lang.String) ref);
      sourceOsmID_ = b;
      return b;
    } else {
      return (com.google.protobuf.ByteString) ref;
    }
  }

  public static final int TARGETOSMID_FIELD_NUMBER = 2;
  private volatile java.lang.Object targetOsmID_;
  /**
   * <code>string targetOsmID = 2;</code>
   */
  public java.lang.String getTargetOsmID() {
    java.lang.Object ref = targetOsmID_;
    if (ref instanceof java.lang.String) {
      return (java.lang.String) ref;
    } else {
      com.google.protobuf.ByteString bs = 
          (com.google.protobuf.ByteString) ref;
      java.lang.String s = bs.toStringUtf8();
      targetOsmID_ = s;
      return s;
    }
  }
  /**
   * <code>string targetOsmID = 2;</code>
   */
  public com.google.protobuf.ByteString
      getTargetOsmIDBytes() {
    java.lang.Object ref = targetOsmID_;
    if (ref instanceof java.lang.String) {
      com.google.protobuf.ByteString b = 
          com.google.protobuf.ByteString.copyFromUtf8(
              (java.lang.String) ref);
      targetOsmID_ = b;
      return b;
    } else {
      return (com.google.protobuf.ByteString) ref;
    }
  }

  public static final int RMIHOST_FIELD_NUMBER = 3;
  private volatile java.lang.Object rmiHost_;
  /**
   * <code>string rmiHost = 3;</code>
   */
  public java.lang.String getRmiHost() {
    java.lang.Object ref = rmiHost_;
    if (ref instanceof java.lang.String) {
      return (java.lang.String) ref;
    } else {
      com.google.protobuf.ByteString bs = 
          (com.google.protobuf.ByteString) ref;
      java.lang.String s = bs.toStringUtf8();
      rmiHost_ = s;
      return s;
    }
  }
  /**
   * <code>string rmiHost = 3;</code>
   */
  public com.google.protobuf.ByteString
      getRmiHostBytes() {
    java.lang.Object ref = rmiHost_;
    if (ref instanceof java.lang.String) {
      com.google.protobuf.ByteString b = 
          com.google.protobuf.ByteString.copyFromUtf8(
              (java.lang.String) ref);
      rmiHost_ = b;
      return b;
    } else {
      return (com.google.protobuf.ByteString) ref;
    }
  }

  public static final int RMIPORT_FIELD_NUMBER = 4;
  private long rmiPort_;
  /**
   * <code>int64 rmiPort = 4;</code>
   */
  public long getRmiPort() {
    return rmiPort_;
  }

  public static final int VEHICLEMODEL_FIELD_NUMBER = 5;
  private volatile java.lang.Object vehicleModel_;
  /**
   * <code>string vehicleModel = 5;</code>
   */
  public java.lang.String getVehicleModel() {
    java.lang.Object ref = vehicleModel_;
    if (ref instanceof java.lang.String) {
      return (java.lang.String) ref;
    } else {
      com.google.protobuf.ByteString bs = 
          (com.google.protobuf.ByteString) ref;
      java.lang.String s = bs.toStringUtf8();
      vehicleModel_ = s;
      return s;
    }
  }
  /**
   * <code>string vehicleModel = 5;</code>
   */
  public com.google.protobuf.ByteString
      getVehicleModelBytes() {
    java.lang.Object ref = vehicleModel_;
    if (ref instanceof java.lang.String) {
      com.google.protobuf.ByteString b = 
          com.google.protobuf.ByteString.copyFromUtf8(
              (java.lang.String) ref);
      vehicleModel_ = b;
      return b;
    } else {
      return (com.google.protobuf.ByteString) ref;
    }
  }

  public static final int USEMODELICA_FIELD_NUMBER = 6;
  private boolean useModelica_;
  /**
   * <code>bool useModelica = 6;</code>
   */
  public boolean getUseModelica() {
    return useModelica_;
  }

  public static final int BATTERYCAPACITY_FIELD_NUMBER = 7;
  private double batteryCapacity_;
  /**
   * <code>double batteryCapacity = 7;</code>
   */
  public double getBatteryCapacity() {
    return batteryCapacity_;
  }

  public static final int BATTERYPERCENTAGE_FIELD_NUMBER = 8;
  private double batteryPercentage_;
  /**
   * <code>double batteryPercentage = 8;</code>
   */
  public double getBatteryPercentage() {
    return batteryPercentage_;
  }

  public static final int VEHICLEID_FIELD_NUMBER = 9;
  private volatile java.lang.Object vehicleID_;
  /**
   * <code>string vehicleID = 9;</code>
   */
  public java.lang.String getVehicleID() {
    java.lang.Object ref = vehicleID_;
    if (ref instanceof java.lang.String) {
      return (java.lang.String) ref;
    } else {
      com.google.protobuf.ByteString bs = 
          (com.google.protobuf.ByteString) ref;
      java.lang.String s = bs.toStringUtf8();
      vehicleID_ = s;
      return s;
    }
  }
  /**
   * <code>string vehicleID = 9;</code>
   */
  public com.google.protobuf.ByteString
      getVehicleIDBytes() {
    java.lang.Object ref = vehicleID_;
    if (ref instanceof java.lang.String) {
      com.google.protobuf.ByteString b = 
          com.google.protobuf.ByteString.copyFromUtf8(
              (java.lang.String) ref);
      vehicleID_ = b;
      return b;
    } else {
      return (com.google.protobuf.ByteString) ref;
    }
  }

  private byte memoizedIsInitialized = -1;
  public final boolean isInitialized() {
    byte isInitialized = memoizedIsInitialized;
    if (isInitialized == 1) return true;
    if (isInitialized == 0) return false;

    memoizedIsInitialized = 1;
    return true;
  }

  public void writeTo(com.google.protobuf.CodedOutputStream output)
                      throws java.io.IOException {
    if (!getSourceOsmIDBytes().isEmpty()) {
      com.google.protobuf.GeneratedMessageV3.writeString(output, 1, sourceOsmID_);
    }
    if (!getTargetOsmIDBytes().isEmpty()) {
      com.google.protobuf.GeneratedMessageV3.writeString(output, 2, targetOsmID_);
    }
    if (!getRmiHostBytes().isEmpty()) {
      com.google.protobuf.GeneratedMessageV3.writeString(output, 3, rmiHost_);
    }
    if (rmiPort_ != 0L) {
      output.writeInt64(4, rmiPort_);
    }
    if (!getVehicleModelBytes().isEmpty()) {
      com.google.protobuf.GeneratedMessageV3.writeString(output, 5, vehicleModel_);
    }
    if (useModelica_ != false) {
      output.writeBool(6, useModelica_);
    }
    if (batteryCapacity_ != 0D) {
      output.writeDouble(7, batteryCapacity_);
    }
    if (batteryPercentage_ != 0D) {
      output.writeDouble(8, batteryPercentage_);
    }
    if (!getVehicleIDBytes().isEmpty()) {
      com.google.protobuf.GeneratedMessageV3.writeString(output, 9, vehicleID_);
    }
    unknownFields.writeTo(output);
  }

  public int getSerializedSize() {
    int size = memoizedSize;
    if (size != -1) return size;

    size = 0;
    if (!getSourceOsmIDBytes().isEmpty()) {
      size += com.google.protobuf.GeneratedMessageV3.computeStringSize(1, sourceOsmID_);
    }
    if (!getTargetOsmIDBytes().isEmpty()) {
      size += com.google.protobuf.GeneratedMessageV3.computeStringSize(2, targetOsmID_);
    }
    if (!getRmiHostBytes().isEmpty()) {
      size += com.google.protobuf.GeneratedMessageV3.computeStringSize(3, rmiHost_);
    }
    if (rmiPort_ != 0L) {
      size += com.google.protobuf.CodedOutputStream
        .computeInt64Size(4, rmiPort_);
    }
    if (!getVehicleModelBytes().isEmpty()) {
      size += com.google.protobuf.GeneratedMessageV3.computeStringSize(5, vehicleModel_);
    }
    if (useModelica_ != false) {
      size += com.google.protobuf.CodedOutputStream
        .computeBoolSize(6, useModelica_);
    }
    if (batteryCapacity_ != 0D) {
      size += com.google.protobuf.CodedOutputStream
        .computeDoubleSize(7, batteryCapacity_);
    }
    if (batteryPercentage_ != 0D) {
      size += com.google.protobuf.CodedOutputStream
        .computeDoubleSize(8, batteryPercentage_);
    }
    if (!getVehicleIDBytes().isEmpty()) {
      size += com.google.protobuf.GeneratedMessageV3.computeStringSize(9, vehicleID_);
    }
    size += unknownFields.getSerializedSize();
    memoizedSize = size;
    return size;
  }

  @java.lang.Override
  public boolean equals(final java.lang.Object obj) {
    if (obj == this) {
     return true;
    }
    if (!(obj instanceof protobuf.AddVehicleRequest)) {
      return super.equals(obj);
    }
    protobuf.AddVehicleRequest other = (protobuf.AddVehicleRequest) obj;

    boolean result = true;
    result = result && getSourceOsmID()
        .equals(other.getSourceOsmID());
    result = result && getTargetOsmID()
        .equals(other.getTargetOsmID());
    result = result && getRmiHost()
        .equals(other.getRmiHost());
    result = result && (getRmiPort()
        == other.getRmiPort());
    result = result && getVehicleModel()
        .equals(other.getVehicleModel());
    result = result && (getUseModelica()
        == other.getUseModelica());
    result = result && (
        java.lang.Double.doubleToLongBits(getBatteryCapacity())
        == java.lang.Double.doubleToLongBits(
            other.getBatteryCapacity()));
    result = result && (
        java.lang.Double.doubleToLongBits(getBatteryPercentage())
        == java.lang.Double.doubleToLongBits(
            other.getBatteryPercentage()));
    result = result && getVehicleID()
        .equals(other.getVehicleID());
    result = result && unknownFields.equals(other.unknownFields);
    return result;
  }

  @java.lang.Override
  public int hashCode() {
    if (memoizedHashCode != 0) {
      return memoizedHashCode;
    }
    int hash = 41;
    hash = (19 * hash) + getDescriptor().hashCode();
    hash = (37 * hash) + SOURCEOSMID_FIELD_NUMBER;
    hash = (53 * hash) + getSourceOsmID().hashCode();
    hash = (37 * hash) + TARGETOSMID_FIELD_NUMBER;
    hash = (53 * hash) + getTargetOsmID().hashCode();
    hash = (37 * hash) + RMIHOST_FIELD_NUMBER;
    hash = (53 * hash) + getRmiHost().hashCode();
    hash = (37 * hash) + RMIPORT_FIELD_NUMBER;
    hash = (53 * hash) + com.google.protobuf.Internal.hashLong(
        getRmiPort());
    hash = (37 * hash) + VEHICLEMODEL_FIELD_NUMBER;
    hash = (53 * hash) + getVehicleModel().hashCode();
    hash = (37 * hash) + USEMODELICA_FIELD_NUMBER;
    hash = (53 * hash) + com.google.protobuf.Internal.hashBoolean(
        getUseModelica());
    hash = (37 * hash) + BATTERYCAPACITY_FIELD_NUMBER;
    hash = (53 * hash) + com.google.protobuf.Internal.hashLong(
        java.lang.Double.doubleToLongBits(getBatteryCapacity()));
    hash = (37 * hash) + BATTERYPERCENTAGE_FIELD_NUMBER;
    hash = (53 * hash) + com.google.protobuf.Internal.hashLong(
        java.lang.Double.doubleToLongBits(getBatteryPercentage()));
    hash = (37 * hash) + VEHICLEID_FIELD_NUMBER;
    hash = (53 * hash) + getVehicleID().hashCode();
    hash = (29 * hash) + unknownFields.hashCode();
    memoizedHashCode = hash;
    return hash;
  }

  public static protobuf.AddVehicleRequest parseFrom(
      java.nio.ByteBuffer data)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return PARSER.parseFrom(data);
  }
  public static protobuf.AddVehicleRequest parseFrom(
      java.nio.ByteBuffer data,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return PARSER.parseFrom(data, extensionRegistry);
  }
  public static protobuf.AddVehicleRequest parseFrom(
      com.google.protobuf.ByteString data)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return PARSER.parseFrom(data);
  }
  public static protobuf.AddVehicleRequest parseFrom(
      com.google.protobuf.ByteString data,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return PARSER.parseFrom(data, extensionRegistry);
  }
  public static protobuf.AddVehicleRequest parseFrom(byte[] data)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return PARSER.parseFrom(data);
  }
  public static protobuf.AddVehicleRequest parseFrom(
      byte[] data,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return PARSER.parseFrom(data, extensionRegistry);
  }
  public static protobuf.AddVehicleRequest parseFrom(java.io.InputStream input)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessageV3
        .parseWithIOException(PARSER, input);
  }
  public static protobuf.AddVehicleRequest parseFrom(
      java.io.InputStream input,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessageV3
        .parseWithIOException(PARSER, input, extensionRegistry);
  }
  public static protobuf.AddVehicleRequest parseDelimitedFrom(java.io.InputStream input)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessageV3
        .parseDelimitedWithIOException(PARSER, input);
  }
  public static protobuf.AddVehicleRequest parseDelimitedFrom(
      java.io.InputStream input,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessageV3
        .parseDelimitedWithIOException(PARSER, input, extensionRegistry);
  }
  public static protobuf.AddVehicleRequest parseFrom(
      com.google.protobuf.CodedInputStream input)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessageV3
        .parseWithIOException(PARSER, input);
  }
  public static protobuf.AddVehicleRequest parseFrom(
      com.google.protobuf.CodedInputStream input,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessageV3
        .parseWithIOException(PARSER, input, extensionRegistry);
  }

  public Builder newBuilderForType() { return newBuilder(); }
  public static Builder newBuilder() {
    return DEFAULT_INSTANCE.toBuilder();
  }
  public static Builder newBuilder(protobuf.AddVehicleRequest prototype) {
    return DEFAULT_INSTANCE.toBuilder().mergeFrom(prototype);
  }
  public Builder toBuilder() {
    return this == DEFAULT_INSTANCE
        ? new Builder() : new Builder().mergeFrom(this);
  }

  @java.lang.Override
  protected Builder newBuilderForType(
      com.google.protobuf.GeneratedMessageV3.BuilderParent parent) {
    Builder builder = new Builder(parent);
    return builder;
  }
  /**
   * Protobuf type {@code SimulationController.AddVehicleRequest}
   */
  public static final class Builder extends
      com.google.protobuf.GeneratedMessageV3.Builder<Builder> implements
      // @@protoc_insertion_point(builder_implements:SimulationController.AddVehicleRequest)
      protobuf.AddVehicleRequestOrBuilder {
    public static final com.google.protobuf.Descriptors.Descriptor
        getDescriptor() {
      return protobuf.SimulationControllerProto.internal_static_SimulationController_AddVehicleRequest_descriptor;
    }

    protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable
        internalGetFieldAccessorTable() {
      return protobuf.SimulationControllerProto.internal_static_SimulationController_AddVehicleRequest_fieldAccessorTable
          .ensureFieldAccessorsInitialized(
              protobuf.AddVehicleRequest.class, protobuf.AddVehicleRequest.Builder.class);
    }

    // Construct using protobuf.AddVehicleRequest.newBuilder()
    private Builder() {
      maybeForceBuilderInitialization();
    }

    private Builder(
        com.google.protobuf.GeneratedMessageV3.BuilderParent parent) {
      super(parent);
      maybeForceBuilderInitialization();
    }
    private void maybeForceBuilderInitialization() {
      if (com.google.protobuf.GeneratedMessageV3
              .alwaysUseFieldBuilders) {
      }
    }
    public Builder clear() {
      super.clear();
      sourceOsmID_ = "";

      targetOsmID_ = "";

      rmiHost_ = "";

      rmiPort_ = 0L;

      vehicleModel_ = "";

      useModelica_ = false;

      batteryCapacity_ = 0D;

      batteryPercentage_ = 0D;

      vehicleID_ = "";

      return this;
    }

    public com.google.protobuf.Descriptors.Descriptor
        getDescriptorForType() {
      return protobuf.SimulationControllerProto.internal_static_SimulationController_AddVehicleRequest_descriptor;
    }

    public protobuf.AddVehicleRequest getDefaultInstanceForType() {
      return protobuf.AddVehicleRequest.getDefaultInstance();
    }

    public protobuf.AddVehicleRequest build() {
      protobuf.AddVehicleRequest result = buildPartial();
      if (!result.isInitialized()) {
        throw newUninitializedMessageException(result);
      }
      return result;
    }

    public protobuf.AddVehicleRequest buildPartial() {
      protobuf.AddVehicleRequest result = new protobuf.AddVehicleRequest(this);
      result.sourceOsmID_ = sourceOsmID_;
      result.targetOsmID_ = targetOsmID_;
      result.rmiHost_ = rmiHost_;
      result.rmiPort_ = rmiPort_;
      result.vehicleModel_ = vehicleModel_;
      result.useModelica_ = useModelica_;
      result.batteryCapacity_ = batteryCapacity_;
      result.batteryPercentage_ = batteryPercentage_;
      result.vehicleID_ = vehicleID_;
      onBuilt();
      return result;
    }

    public Builder clone() {
      return (Builder) super.clone();
    }
    public Builder setField(
        com.google.protobuf.Descriptors.FieldDescriptor field,
        java.lang.Object value) {
      return (Builder) super.setField(field, value);
    }
    public Builder clearField(
        com.google.protobuf.Descriptors.FieldDescriptor field) {
      return (Builder) super.clearField(field);
    }
    public Builder clearOneof(
        com.google.protobuf.Descriptors.OneofDescriptor oneof) {
      return (Builder) super.clearOneof(oneof);
    }
    public Builder setRepeatedField(
        com.google.protobuf.Descriptors.FieldDescriptor field,
        int index, java.lang.Object value) {
      return (Builder) super.setRepeatedField(field, index, value);
    }
    public Builder addRepeatedField(
        com.google.protobuf.Descriptors.FieldDescriptor field,
        java.lang.Object value) {
      return (Builder) super.addRepeatedField(field, value);
    }
    public Builder mergeFrom(com.google.protobuf.Message other) {
      if (other instanceof protobuf.AddVehicleRequest) {
        return mergeFrom((protobuf.AddVehicleRequest)other);
      } else {
        super.mergeFrom(other);
        return this;
      }
    }

    public Builder mergeFrom(protobuf.AddVehicleRequest other) {
      if (other == protobuf.AddVehicleRequest.getDefaultInstance()) return this;
      if (!other.getSourceOsmID().isEmpty()) {
        sourceOsmID_ = other.sourceOsmID_;
        onChanged();
      }
      if (!other.getTargetOsmID().isEmpty()) {
        targetOsmID_ = other.targetOsmID_;
        onChanged();
      }
      if (!other.getRmiHost().isEmpty()) {
        rmiHost_ = other.rmiHost_;
        onChanged();
      }
      if (other.getRmiPort() != 0L) {
        setRmiPort(other.getRmiPort());
      }
      if (!other.getVehicleModel().isEmpty()) {
        vehicleModel_ = other.vehicleModel_;
        onChanged();
      }
      if (other.getUseModelica() != false) {
        setUseModelica(other.getUseModelica());
      }
      if (other.getBatteryCapacity() != 0D) {
        setBatteryCapacity(other.getBatteryCapacity());
      }
      if (other.getBatteryPercentage() != 0D) {
        setBatteryPercentage(other.getBatteryPercentage());
      }
      if (!other.getVehicleID().isEmpty()) {
        vehicleID_ = other.vehicleID_;
        onChanged();
      }
      this.mergeUnknownFields(other.unknownFields);
      onChanged();
      return this;
    }

    public final boolean isInitialized() {
      return true;
    }

    public Builder mergeFrom(
        com.google.protobuf.CodedInputStream input,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws java.io.IOException {
      protobuf.AddVehicleRequest parsedMessage = null;
      try {
        parsedMessage = PARSER.parsePartialFrom(input, extensionRegistry);
      } catch (com.google.protobuf.InvalidProtocolBufferException e) {
        parsedMessage = (protobuf.AddVehicleRequest) e.getUnfinishedMessage();
        throw e.unwrapIOException();
      } finally {
        if (parsedMessage != null) {
          mergeFrom(parsedMessage);
        }
      }
      return this;
    }

    private java.lang.Object sourceOsmID_ = "";
    /**
     * <code>string sourceOsmID = 1;</code>
     */
    public java.lang.String getSourceOsmID() {
      java.lang.Object ref = sourceOsmID_;
      if (!(ref instanceof java.lang.String)) {
        com.google.protobuf.ByteString bs =
            (com.google.protobuf.ByteString) ref;
        java.lang.String s = bs.toStringUtf8();
        sourceOsmID_ = s;
        return s;
      } else {
        return (java.lang.String) ref;
      }
    }
    /**
     * <code>string sourceOsmID = 1;</code>
     */
    public com.google.protobuf.ByteString
        getSourceOsmIDBytes() {
      java.lang.Object ref = sourceOsmID_;
      if (ref instanceof String) {
        com.google.protobuf.ByteString b = 
            com.google.protobuf.ByteString.copyFromUtf8(
                (java.lang.String) ref);
        sourceOsmID_ = b;
        return b;
      } else {
        return (com.google.protobuf.ByteString) ref;
      }
    }
    /**
     * <code>string sourceOsmID = 1;</code>
     */
    public Builder setSourceOsmID(
        java.lang.String value) {
      if (value == null) {
    throw new NullPointerException();
  }
  
      sourceOsmID_ = value;
      onChanged();
      return this;
    }
    /**
     * <code>string sourceOsmID = 1;</code>
     */
    public Builder clearSourceOsmID() {
      
      sourceOsmID_ = getDefaultInstance().getSourceOsmID();
      onChanged();
      return this;
    }
    /**
     * <code>string sourceOsmID = 1;</code>
     */
    public Builder setSourceOsmIDBytes(
        com.google.protobuf.ByteString value) {
      if (value == null) {
    throw new NullPointerException();
  }
  checkByteStringIsUtf8(value);
      
      sourceOsmID_ = value;
      onChanged();
      return this;
    }

    private java.lang.Object targetOsmID_ = "";
    /**
     * <code>string targetOsmID = 2;</code>
     */
    public java.lang.String getTargetOsmID() {
      java.lang.Object ref = targetOsmID_;
      if (!(ref instanceof java.lang.String)) {
        com.google.protobuf.ByteString bs =
            (com.google.protobuf.ByteString) ref;
        java.lang.String s = bs.toStringUtf8();
        targetOsmID_ = s;
        return s;
      } else {
        return (java.lang.String) ref;
      }
    }
    /**
     * <code>string targetOsmID = 2;</code>
     */
    public com.google.protobuf.ByteString
        getTargetOsmIDBytes() {
      java.lang.Object ref = targetOsmID_;
      if (ref instanceof String) {
        com.google.protobuf.ByteString b = 
            com.google.protobuf.ByteString.copyFromUtf8(
                (java.lang.String) ref);
        targetOsmID_ = b;
        return b;
      } else {
        return (com.google.protobuf.ByteString) ref;
      }
    }
    /**
     * <code>string targetOsmID = 2;</code>
     */
    public Builder setTargetOsmID(
        java.lang.String value) {
      if (value == null) {
    throw new NullPointerException();
  }
  
      targetOsmID_ = value;
      onChanged();
      return this;
    }
    /**
     * <code>string targetOsmID = 2;</code>
     */
    public Builder clearTargetOsmID() {
      
      targetOsmID_ = getDefaultInstance().getTargetOsmID();
      onChanged();
      return this;
    }
    /**
     * <code>string targetOsmID = 2;</code>
     */
    public Builder setTargetOsmIDBytes(
        com.google.protobuf.ByteString value) {
      if (value == null) {
    throw new NullPointerException();
  }
  checkByteStringIsUtf8(value);
      
      targetOsmID_ = value;
      onChanged();
      return this;
    }

    private java.lang.Object rmiHost_ = "";
    /**
     * <code>string rmiHost = 3;</code>
     */
    public java.lang.String getRmiHost() {
      java.lang.Object ref = rmiHost_;
      if (!(ref instanceof java.lang.String)) {
        com.google.protobuf.ByteString bs =
            (com.google.protobuf.ByteString) ref;
        java.lang.String s = bs.toStringUtf8();
        rmiHost_ = s;
        return s;
      } else {
        return (java.lang.String) ref;
      }
    }
    /**
     * <code>string rmiHost = 3;</code>
     */
    public com.google.protobuf.ByteString
        getRmiHostBytes() {
      java.lang.Object ref = rmiHost_;
      if (ref instanceof String) {
        com.google.protobuf.ByteString b = 
            com.google.protobuf.ByteString.copyFromUtf8(
                (java.lang.String) ref);
        rmiHost_ = b;
        return b;
      } else {
        return (com.google.protobuf.ByteString) ref;
      }
    }
    /**
     * <code>string rmiHost = 3;</code>
     */
    public Builder setRmiHost(
        java.lang.String value) {
      if (value == null) {
    throw new NullPointerException();
  }
  
      rmiHost_ = value;
      onChanged();
      return this;
    }
    /**
     * <code>string rmiHost = 3;</code>
     */
    public Builder clearRmiHost() {
      
      rmiHost_ = getDefaultInstance().getRmiHost();
      onChanged();
      return this;
    }
    /**
     * <code>string rmiHost = 3;</code>
     */
    public Builder setRmiHostBytes(
        com.google.protobuf.ByteString value) {
      if (value == null) {
    throw new NullPointerException();
  }
  checkByteStringIsUtf8(value);
      
      rmiHost_ = value;
      onChanged();
      return this;
    }

    private long rmiPort_ ;
    /**
     * <code>int64 rmiPort = 4;</code>
     */
    public long getRmiPort() {
      return rmiPort_;
    }
    /**
     * <code>int64 rmiPort = 4;</code>
     */
    public Builder setRmiPort(long value) {
      
      rmiPort_ = value;
      onChanged();
      return this;
    }
    /**
     * <code>int64 rmiPort = 4;</code>
     */
    public Builder clearRmiPort() {
      
      rmiPort_ = 0L;
      onChanged();
      return this;
    }

    private java.lang.Object vehicleModel_ = "";
    /**
     * <code>string vehicleModel = 5;</code>
     */
    public java.lang.String getVehicleModel() {
      java.lang.Object ref = vehicleModel_;
      if (!(ref instanceof java.lang.String)) {
        com.google.protobuf.ByteString bs =
            (com.google.protobuf.ByteString) ref;
        java.lang.String s = bs.toStringUtf8();
        vehicleModel_ = s;
        return s;
      } else {
        return (java.lang.String) ref;
      }
    }
    /**
     * <code>string vehicleModel = 5;</code>
     */
    public com.google.protobuf.ByteString
        getVehicleModelBytes() {
      java.lang.Object ref = vehicleModel_;
      if (ref instanceof String) {
        com.google.protobuf.ByteString b = 
            com.google.protobuf.ByteString.copyFromUtf8(
                (java.lang.String) ref);
        vehicleModel_ = b;
        return b;
      } else {
        return (com.google.protobuf.ByteString) ref;
      }
    }
    /**
     * <code>string vehicleModel = 5;</code>
     */
    public Builder setVehicleModel(
        java.lang.String value) {
      if (value == null) {
    throw new NullPointerException();
  }
  
      vehicleModel_ = value;
      onChanged();
      return this;
    }
    /**
     * <code>string vehicleModel = 5;</code>
     */
    public Builder clearVehicleModel() {
      
      vehicleModel_ = getDefaultInstance().getVehicleModel();
      onChanged();
      return this;
    }
    /**
     * <code>string vehicleModel = 5;</code>
     */
    public Builder setVehicleModelBytes(
        com.google.protobuf.ByteString value) {
      if (value == null) {
    throw new NullPointerException();
  }
  checkByteStringIsUtf8(value);
      
      vehicleModel_ = value;
      onChanged();
      return this;
    }

    private boolean useModelica_ ;
    /**
     * <code>bool useModelica = 6;</code>
     */
    public boolean getUseModelica() {
      return useModelica_;
    }
    /**
     * <code>bool useModelica = 6;</code>
     */
    public Builder setUseModelica(boolean value) {
      
      useModelica_ = value;
      onChanged();
      return this;
    }
    /**
     * <code>bool useModelica = 6;</code>
     */
    public Builder clearUseModelica() {
      
      useModelica_ = false;
      onChanged();
      return this;
    }

    private double batteryCapacity_ ;
    /**
     * <code>double batteryCapacity = 7;</code>
     */
    public double getBatteryCapacity() {
      return batteryCapacity_;
    }
    /**
     * <code>double batteryCapacity = 7;</code>
     */
    public Builder setBatteryCapacity(double value) {
      
      batteryCapacity_ = value;
      onChanged();
      return this;
    }
    /**
     * <code>double batteryCapacity = 7;</code>
     */
    public Builder clearBatteryCapacity() {
      
      batteryCapacity_ = 0D;
      onChanged();
      return this;
    }

    private double batteryPercentage_ ;
    /**
     * <code>double batteryPercentage = 8;</code>
     */
    public double getBatteryPercentage() {
      return batteryPercentage_;
    }
    /**
     * <code>double batteryPercentage = 8;</code>
     */
    public Builder setBatteryPercentage(double value) {
      
      batteryPercentage_ = value;
      onChanged();
      return this;
    }
    /**
     * <code>double batteryPercentage = 8;</code>
     */
    public Builder clearBatteryPercentage() {
      
      batteryPercentage_ = 0D;
      onChanged();
      return this;
    }

    private java.lang.Object vehicleID_ = "";
    /**
     * <code>string vehicleID = 9;</code>
     */
    public java.lang.String getVehicleID() {
      java.lang.Object ref = vehicleID_;
      if (!(ref instanceof java.lang.String)) {
        com.google.protobuf.ByteString bs =
            (com.google.protobuf.ByteString) ref;
        java.lang.String s = bs.toStringUtf8();
        vehicleID_ = s;
        return s;
      } else {
        return (java.lang.String) ref;
      }
    }
    /**
     * <code>string vehicleID = 9;</code>
     */
    public com.google.protobuf.ByteString
        getVehicleIDBytes() {
      java.lang.Object ref = vehicleID_;
      if (ref instanceof String) {
        com.google.protobuf.ByteString b = 
            com.google.protobuf.ByteString.copyFromUtf8(
                (java.lang.String) ref);
        vehicleID_ = b;
        return b;
      } else {
        return (com.google.protobuf.ByteString) ref;
      }
    }
    /**
     * <code>string vehicleID = 9;</code>
     */
    public Builder setVehicleID(
        java.lang.String value) {
      if (value == null) {
    throw new NullPointerException();
  }
  
      vehicleID_ = value;
      onChanged();
      return this;
    }
    /**
     * <code>string vehicleID = 9;</code>
     */
    public Builder clearVehicleID() {
      
      vehicleID_ = getDefaultInstance().getVehicleID();
      onChanged();
      return this;
    }
    /**
     * <code>string vehicleID = 9;</code>
     */
    public Builder setVehicleIDBytes(
        com.google.protobuf.ByteString value) {
      if (value == null) {
    throw new NullPointerException();
  }
  checkByteStringIsUtf8(value);
      
      vehicleID_ = value;
      onChanged();
      return this;
    }
    public final Builder setUnknownFields(
        final com.google.protobuf.UnknownFieldSet unknownFields) {
      return super.setUnknownFieldsProto3(unknownFields);
    }

    public final Builder mergeUnknownFields(
        final com.google.protobuf.UnknownFieldSet unknownFields) {
      return super.mergeUnknownFields(unknownFields);
    }


    // @@protoc_insertion_point(builder_scope:SimulationController.AddVehicleRequest)
  }

  // @@protoc_insertion_point(class_scope:SimulationController.AddVehicleRequest)
  private static final protobuf.AddVehicleRequest DEFAULT_INSTANCE;
  static {
    DEFAULT_INSTANCE = new protobuf.AddVehicleRequest();
  }

  public static protobuf.AddVehicleRequest getDefaultInstance() {
    return DEFAULT_INSTANCE;
  }

  private static final com.google.protobuf.Parser<AddVehicleRequest>
      PARSER = new com.google.protobuf.AbstractParser<AddVehicleRequest>() {
    public AddVehicleRequest parsePartialFrom(
        com.google.protobuf.CodedInputStream input,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws com.google.protobuf.InvalidProtocolBufferException {
      return new AddVehicleRequest(input, extensionRegistry);
    }
  };

  public static com.google.protobuf.Parser<AddVehicleRequest> parser() {
    return PARSER;
  }

  @java.lang.Override
  public com.google.protobuf.Parser<AddVehicleRequest> getParserForType() {
    return PARSER;
  }

  public protobuf.AddVehicleRequest getDefaultInstanceForType() {
    return DEFAULT_INSTANCE;
  }

}

